

#include "함수묶음.h"

#include "GUI\GUI_명세문서.h"

#include "main.h"
#include "GUI.h"
#include "일반함수.h"
#include "명세문서\명세문서.h"
#include "GUI\GUI_목록줄.h"

#include "GUI\GUI_모양만들기.h"
#include "AVR-ISP\AVR-ISP.h"
#include "AVR-ISP\AVR-병렬접근.h"


void Ide_모양만들기_명세문서(void)
{
  //[2011.09.25.일][생성!!!]{----
  //[명세문서] 관련 비트항목을 만든다.
  //}---------------------------

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[Btn_명세문서값으로초기화]
  //{
      _GButton_생성_(gui->Btn_명세문서값으로초기화, gui->GVmos, GID_Btn_명세문서값으로초기화,
                    _GButton_X_(gui->Btn_설정보안_쓰기, 0, d_읽기),
                    //가장 아래의 비트0 아래에 배치한다.
                    _GButton_Y_(gui->Btn_설정보안_쓰기, 0, d_읽기) + _GButton_높이_(gui->Btn_설정보안_쓰기, 0, d_읽기) + 4,
                    274, 18,
                    true);
      _GButton_제목_(gui->Btn_명세문서값으로초기화, "명세문서 값으로 설정 초기화", d_쓰기);

      //[이벤트]
      //{
          _GButton_이벤트_MClick_(gui->Btn_명세문서값으로초기화, true, d_쓰기);

      //}

      //[퐁선도움말]
      //{
          _GButton_풍선도움말문자열_
          (gui->Btn_명세문서값으로초기화,
           "선택된 AVR 의 설정을 해당 명세문서의 것으로 초기화 합니다.",
           d_쓰기);

          _GButton_풍선도움말_(gui->Btn_명세문서값으로초기화, false, d_쓰기);

      //}

  //}

  //[Btn_명세문서안에설정저장]
  //{
      _GButton_생성_(gui->Btn_명세문서안에설정저장, gui->GVmos, GID_Btn_명세문서안에설정저장,
                    _GButton_X_(gui->Btn_설정상위_쓰기, 0, d_읽기),
                    //가장 아래의 비트0 아래에 배치한다.
                    _GButton_Y_(gui->Btn_설정상위_쓰기, 0, d_읽기) + _GButton_높이_(gui->Btn_설정상위_쓰기, 0, d_읽기) + 4,
                    274, 18,
                    true);
      _GButton_제목_(gui->Btn_명세문서안에설정저장, "현재 설정을 명세문서에 저장", d_쓰기);

      //[이벤트]
      //{
          _GButton_이벤트_MClick_(gui->Btn_명세문서안에설정저장, true, d_쓰기);

      //}

      //[퐁선도움말]
      //{
          _GButton_풍선도움말문자열_
          (gui->Btn_명세문서안에설정저장,
           "현재 설정 내용을 선택된 AVR 의 해당 명세문서에 저장합니다.",
           d_쓰기);

          _GButton_풍선도움말_(gui->Btn_명세문서안에설정저장, false, d_쓰기);

      //}

  //}

}

void Ide_모양삭제_명세문서(void)
{
  //[2011.11.22.화][생성!!!]{--------
  //[명세문서] 관련 비트항목을 삭제한다.
  //
  //[2012.04.30.월][수정!!!]---------
  //안전을 위하여 선언된 역순으로 삭제한다.
  //}-------------------------------

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  _GButton_삭제_(gui->Btn_명세문서안에설정저장);
  _GButton_삭제_(gui->Btn_명세문서값으로초기화);

}

void Btn_명세문서값으로초기화_이벤트_MClick(void)
{
  //[2011.09.25.일][생성!!!]{-------------------------
  //[2011.10.22.토][수정!!!]
  //현재 선택된 AVR 의 [명세문서] 원본 설정을 GUI 에 반영한다.
  //}------------------------------------------------

  List_AVR목록_선택항목처리();

}

void Btn_명세문서안에설정저장_이벤트_MClick(void)
{
  //[2011.09.25.일][생성!!!]{----------------------------------
  //[2011.10.22.토][수정!!!]
  //1) 현재 GUI 설정을 <전역:AVR명세> 에 정리.
  //2) <*.avrspec> 확장자로 [저장 대화상자] 보여주기.
  //3) 지정된 <*.avrspec> 로 <전역:AVR명세> 내용을 [명세문서] 로 저장.
  //}---------------------------------------------------------

  //[VAR]
  //{
      char  경로이름확장자[512];

  //}

  //[GUI/전역변수]{------
  struct 전역변수  *gv;
  struct GUI     *gui;
  전역변수_위치얻기(&gv);
  GUI_위치얻기(&gui);
  //}------------------

  //[GUI 설정 => AVR명세]
  //{
      //[!]{------------------------------
      //현재 GUI 설정을 <전역:AVR명세> 에 정리.
      //}---------------------------------

      Ide_GUI설정을_AVR설정정보에_정리(&(gv->AVR명세));

  //}

  //[저장 대화상자 보이기]
  //{
      _File_저장대화상자_확장자_("AVR-ISP 설정문서(*.avrspec)|*.avrspec");

      if(_File_저장대화상자_() != true) return;

      //경로이름확장자 얻기.
      _File_저장대화상자_문서이름_(경로이름확장자);

  //}

  //[<전역:명세문서> => 명세문서]
  //{
      명세문서_AvrSpec_쓰기(&(gv->AVR명세), 경로이름확장자);

  //}

}

